"""fix missing deletion cascade

Revision ID: 50c7a55351f7
Revises: 5958ddd10a81
Create Date: 2023-12-11 12:36:19.058553

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '50c7a55351f7'
down_revision = '5958ddd10a81'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('workflow_action_dynamic_outputs_workflow_action_id_fkey', 'workflow_action_dynamic_outputs', type_='foreignkey')
    op.create_foreign_key(None, 'workflow_action_dynamic_outputs', 'workflow_action', ['workflow_action_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('workflow_action_reference_inputs_parent_action_id_fkey', 'workflow_action_reference_inputs', type_='foreignkey')
    op.create_foreign_key(None, 'workflow_action_reference_inputs', 'workflow_action', ['parent_action_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('workflow_action_static_inputs_workflow_action_id_fkey', 'workflow_action_static_inputs', type_='foreignkey')
    op.create_foreign_key(None, 'workflow_action_static_inputs', 'workflow_action', ['workflow_action_id'], ['id'], ondelete='CASCADE')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'workflow_action_static_inputs', type_='foreignkey')
    op.create_foreign_key('workflow_action_static_inputs_workflow_action_id_fkey', 'workflow_action_static_inputs', 'workflow_action', ['workflow_action_id'], ['id'])
    op.drop_constraint(None, 'workflow_action_reference_inputs', type_='foreignkey')
    op.create_foreign_key('workflow_action_reference_inputs_parent_action_id_fkey', 'workflow_action_reference_inputs', 'workflow_action', ['parent_action_id'], ['id'])
    op.drop_constraint(None, 'workflow_action_dynamic_outputs', type_='foreignkey')
    op.create_foreign_key('workflow_action_dynamic_outputs_workflow_action_id_fkey', 'workflow_action_dynamic_outputs', 'workflow_action', ['workflow_action_id'], ['id'])
    # ### end Alembic commands ###
